# -*- rpm-spec -*-
%global gem_name systemu

# EPEL6 lacks rubygems-devel package that provides these macros
%if %{?el6}0
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%endif

%if %{?el6}0 || %{?fc16}0
%global rubyabi 1.8
%else
%global rubyabi 1.9.1
%endif

Name:           rubygem-%{gem_name}
Version:        2.5.2
Release:        1%{?dist}
Summary:        Universal capture of stdout and stderr and handling of child process pid
Group:		Development/Libraries

License:        BSD or Ruby
URL:            https://github.com/ahoward/systemu
Source0:        http://production.cf.rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:	ruby 
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems) 
BuildRequires:	ruby 
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby(rubygems)
%{!?el6:BuildRequires: rubygems-devel}

Provides:       rubygem(%{gem_name}) = %{version}-%{release}

%description
Universal capture of stdout and stderr and handling of child process pid.

%prep

%build

%install
rm -rf %{buildroot}
gem install --local --install-dir %{buildroot}%{gem_dir} --force %{SOURCE0}

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root,-)
%doc %{gem_docdir}/
%{gem_dir}/gems/%{gem_name}-%{version}/
%{gem_cache}
%{gem_spec}

%changelog
* Tue Nov 04 2012 Julian C. Dunn <jdunn@aquezada.com> - 2.5.2-1
- Upgrade to 2.5.2.
- Unify spec so it can be built from the same one across Fedora and EPEL.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Vít Ondruch <vondruch@redhat.com> - 2.4.1-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec  6 2011 Jeffrey Ollie <jeff@ocjtech.us> - 2.4.1-2
- Fix typo _buildroot => buildroot
- Add group

* Mon Dec  5 2011 Jeffrey Ollie <jeff@ocjtech.us> - 2.4.1-1
- First version
